security:
    providers:
        in_memory:
            memory:
                users:
                    admin: { password: adminpass, roles: [ 'ROLE_SUPER_ADMIN' ] }
        default:
            entity: { class: AimeosShopBundle:User, property: username }

    encoders:
        Symfony\Component\Security\Core\User\User: plaintext
        Aimeos\ShopBundle\Entity\User:
            algorithm: sha1
            encode_as_base64: false
            iterations: 1

    firewalls:
        login_firewall:
            pattern:   ^/admin$
            provider: in_memory
            anonymous: ~
            http_basic:
                realm: "Admin Area"
        aimeos_extadm:
            pattern:    ^/unittest/extadm
            provider: in_memory
            http_basic:
                realm: "Admin Area"
        aimeos_jqadm:
            pattern:    ^/unittest/jqadm
            provider: in_memory
            http_basic:
                realm: "Admin Area"
        aimeos_jsonadm:
            pattern:    ^/unittest/jsonadm
            provider: in_memory
            http_basic:
                realm: "Admin Area"
        secured_area:
            pattern:   ^/unittest
            provider: default
            anonymous: ~
            http_basic:
                realm: "Default"

    access_control:
        - { path: ^/unittest/jqadm, roles: [ROLE_ADMIN, ROLE_SUPER_ADMIN] }
        - { path: ^/unittest/jsonadm, roles: [ROLE_ADMIN, ROLE_SUPER_ADMIN] }
        - { path: ^/unittest/de/EUR/checkout, roles: ROLE_USER }
